package com.fr.plugin.showtype;

import com.fr.decision.web.MainComponent;
import com.fr.plugin.context.PluginContext;
import com.fr.plugin.observer.inner.AbstractPluginLifecycleMonitor;
import com.fr.web.struct.Registry;

/**
 * @Author Roger
 * @Date 2020/8/27 8:54
 * @Version 10.0
 */
public class NewPreviewInitializeMonitor extends AbstractPluginLifecycleMonitor {
    @Override
    public void afterRun(PluginContext pluginContext) {
        Registry.register(MainComponent.class, NewPreviewComponent.KEY);
    }

    @Override
    public void beforeStop(PluginContext pluginContext) {
        Registry.remove(MainComponent.class, NewPreviewComponent.KEY);
    }
}
