package com.fr.plugin.showtype;

import com.fr.decision.authority.base.constant.type.show.ShowType;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.record.analyzer.EnableMetrics;

/**
 * @Author Roger
 * @Date 2020/8/18 18:18
 * @Version 10.0
 */
@EnableMetrics
public class NewPreviewType extends ShowType {

    public static final NewPreviewType KEY = new NewPreviewType();

    @Override
    @Focus(id = "com.fr.plugin.showtype.v10", text = "Fine-Plugin_New_Preview_Type", source = Original.PLUGIN)
    protected int getTypeValue() {
        return 8;
    }

    @Override
    public String getTypeName() {
        return "newPreview";
    }
}
