package com.fr.plugin.showtype;

import com.fr.decision.authority.base.constant.type.show.ShowType;
import com.fr.decision.fun.impl.AbstractShowTypeProvider;
import com.fr.decision.web.DirectoryComponent;
import com.fr.web.struct.Atom;

/**
 * @Author Roger
 * @Date 2020/8/18 17:42
 * @Version 10.0
 */
public class NewPreviewTypeProvider extends AbstractShowTypeProvider {

    @Override
    public String nameForShowType() {
        return "newPreview";
    }

    @Override
    public ShowType registerShowType() {
        return NewPreviewType.KEY;
    }

    @Override
    public Atom attach() {
        return DirectoryComponent.KEY;
    }

    @Override
    public Atom client() {
        return NewPreviewComponent.KEY;
    }
}
